For the complete documentation index, see llms.txt. This page is also available as Markdown.

List the IP addresses of a user device, grouped by location

get
Authorizations
defguard_sessionstringRequired
Path parameters
usernamestringRequired

Name of the user.

device_idinteger · int64Required

ID of the device.

Responses
200

IP addresses of the device, grouped by location.

application/json
objectOptional
get/api/v1/device/user/{username}/ip/{device_id}
GET /api/v1/device/user/{username}/ip/{device_id} HTTP/1.1
Accept: */*
{
  "locations": [
    {
      "location_id": 1,
      "location_name": "office",
      "wireguard_ips": [
        {
          "ip": "10.0.0.15",
          "modifiable_part": "15",
          "network_part": "10.0.0.",
          "network_prefix": "/24"
        }
      ]
    }
  ]
}

Last updated

Was this helpful?